## rccl 7.1.0

=== debian/changelog ===
rccl (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/control: add libamdhip64-dev (=> 7.1~) as a build dep

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Thu, 05 Feb 2026 14:15:33 +0100

rccl (7.1.0-0ubuntu1) resolute; urgency=medium

  * d/p/0004: [Temporary] Patch rccl to remove rocm-core as build-dep
  * d/control: Update build deps for ROCm v7.1.0
  * d/control: update maintainer to ubuntu devel
  * d/rules: align ROCM_ISAS with expected list syntax
  * d/librccl1.install: add rcclras install
  * d/librccl1-tests.install: fix path and add msccl-unit-test-algorithms
  * d/librccl-doc.install: add doc install for msccl-algorithms
  * d/{librccl1.symbols,shlibs}: remove symbols file and instead add shlibs
  * d/patches: add new fix-install-libdir.patch
  * d/control: remove ppc64el build
  * d/rules: [Temporary] remove gfx908 and gfx90a ROCm ISAs

 -- Bojan Aleksovski <bojan.aleksovski@canonical.com>  Fri, 30 Jan 2026 10:07:24 +0100

rccl (7.1.0-0ubuntu1~exp1) resolute; urgency=medium

  * new upstream 7.1.0 release
  * drop 0002-expand-architecture-support.patch as it was accepted upstream

 -- Tim Flink <Tim.Flink@amd.com>  Mon, 19 Jan 2026 17:42:17 -0600
